services:
  bw-samern-ohne:
    build: .
    container_name: bw-samern-ohne
    restart: always
    networks:
      - proxy
    labels:
      # 1. Aktivierung in Traefik
      - "traefik.enable=true"
      
      # 2. Router-Konfiguration (Domain & HTTPS)
      - "traefik.http.routers.bw-samern-ohne.rule=Host(`bw-samern-ohne.enwelo-serverumgebung.cloud`)"
      - "traefik.http.routers.bw-samern-ohne.entrypoints=websecure"
      - "traefik.http.routers.bw-samern-ohne.tls.certresolver=le"
      
      # 3. Zuweisung des internen Service-Ports
      - "traefik.http.services.bw-samern-ohne.loadbalancer.server.port=3000"
      
      # 4. Authentik-Schutz (Middleware) 
      # Wir nutzen jetzt den Namen aus unserer neuen Server-Datei:
      - "traefik.http.routers.bw-samern-ohne.middlewares=authentik@file"

networks:
  proxy:
    external: true